use stud;

if  exists (select * from sys.tables where name ='Lead') DROP TABLE Lead;
CREATE TABLE Lead (
       ID_Subject           int NOT NULL,
       ID_Teacher           int NOT NULL,
       Year                 int NULL
);
ALTER TABLE Lead
       ADD PRIMARY KEY (ID_Subject ASC, ID_Teacher ASC);

if  exists (select * from sys.tables where name ='Learning') DROP TABLE Learning;

CREATE TABLE Learning (
       ID_Student           int NOT NULL,
       ID_Subject           int NOT NULL,
       Semestr              int NULL
);
ALTER TABLE Learning
       ADD PRIMARY KEY (ID_Student ASC, ID_Subject ASC);

if  exists (select * from sys.tables where name ='Teacher') DROP TABLE Teacher;
CREATE TABLE Teacher (
       ID_Teacher           int NOT NULL identity,
       First_Name           varchar(20) NULL,
       Secondary_Name       varchar(30) NULL,
       Family               varchar(40) NULL,
       Level                varchar(20) NULL
);

ALTER TABLE Teacher
       ADD PRIMARY KEY (ID_Teacher ASC);

if  exists (select * from sys.tables where name ='Subject') DROP TABLE Subject;
CREATE TABLE Subject (
       ID_Subject           int NOT NULL identity,
       Name                 varchar(40) NULL,
       Hours				int NULL
);

ALTER TABLE Subject
       ADD PRIMARY KEY (ID_Subject ASC);

if  exists (select * from sys.tables where name ='Student') DROP TABLE Student;
CREATE TABLE Student (
       ID_Student           int NOT NULL identity,
       First_Name           varchar(20) NULL,
       Secondary_Name      varchar(20) NULL,
       birthday             datetime NULL
);
ALTER TABLE Student
       ADD PRIMARY KEY (ID_Student ASC);

ALTER TABLE Lead
       ADD FOREIGN KEY (ID_Teacher)
                             REFERENCES Teacher  (ID_Teacher)
                             ON UPDATE NO ACTION;

ALTER TABLE Lead
       ADD FOREIGN KEY (ID_Subject)
                             REFERENCES Subject  (ID_Subject)
                             ON UPDATE NO ACTION;
ALTER TABLE Learning
       ADD FOREIGN KEY (ID_Subject)
                             REFERENCES Subject  (ID_Subject)
                             ON UPDATE NO ACTION;
ALTER TABLE Learning
       ADD FOREIGN KEY (ID_Student)
                             REFERENCES Student  (ID_Student)
                             ON UPDATE NO ACTION;
